[Python-checkins] distutils2: Propagate error code from Python

eric.araujo python-checkins at python.org
Mon Nov 14 15:24:07 CET 2011


http://hg.python.org/distutils2/rev/0aa491a3dca3
changeset:   1223:0aa491a3dca3
user:        Éric Araujo <merwok at netwok.org>
date:        Fri Nov 11 10:39:36 2011 +0100
summary:
  Propagate error code from Python

files:
  tests.sh |  10 +++++-----
  1 files changed, 5 insertions(+), 5 deletions(-)


diff --git a/tests.sh b/tests.sh
--- a/tests.sh
+++ b/tests.sh
@@ -5,7 +5,7 @@
 if [ $? -ne 0 ];then
     echo Failed, re-running
     python2.4 -Wd runtests.py
-    exit 1
+    exit $?
 else
     echo Success
 fi
@@ -15,7 +15,7 @@
 if [ $? -ne 0 ];then
     echo Failed, re-running
     python2.5 -Wd runtests.py
-    exit 1
+    exit $?
 else
     echo Success
 fi
@@ -25,7 +25,7 @@
 if [ $? -ne 0 ];then
     echo Failed, re-running
     python2.6 -Wd runtests.py
-    exit 1
+    exit $?
 else
     echo Success
 fi
@@ -35,14 +35,14 @@
 if [ $? -ne 0 ];then
     echo Failed, re-running
     python2.7 -Wd -bb -3 runtests.py
-    exit 1
+    exit $?
 else
     echo Success
 fi
 
 if [ $? -ne 0 ];then
     echo Failed
-    exit 1
+    exit $?
 else
     echo "Good job, commit now! (or add tests)"
 fi

-- 
Repository URL: http://hg.python.org/distutils2


More information about the Python-checkins mailing list